This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 488691 - evolution-brutus failed mass rebuild attempt for GCC 4.4
evolution-brutus failed mass rebuild attempt for GCC 4.4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution-brutus (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 03:09 EST by Alex Lancaster
Modified: 2009-03-09 06:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 06:43:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2009-03-05 03:09:00 EST
Fedora has recently undertaken a mass rebuild of rawhide using GCC 4.4.  It appears that evolution-brutus failed:

mv -f .deps/camel-brutus-provider.Tpo .deps/camel-brutus-provider.Plo
/bin/sh ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I/builddir/build/BUILD/evolution-brutus-1.2.34 -I/builddir/build/BUILD/evolution-brutus-1.2.34/idl -I/builddir/build/BUILD/evolution-brutus-1.2.34/idl_output -I/usr/include/evolution-data-server-2.26 -I-I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -DORBIT2=1 -pthread -I/usr/include/evolution-data-server-2.26 -I/usr/include/libbonobo-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/gconf/2 -I/usr/include/libsoup-2.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtk-2.0 -I/usr/include/libglade-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DBRUTUS_LOCALEDIR=\""/usr/share/locale"\"   -DG_LOG_DOMAIN=\"camel-brutus-provider\" -DCAMEL_EXPLICIT_TRANSLATION_DOMAIN=\"evolution-brutus-2.26\" -DORBIT2_EXTENSIONS  -fno-strict-aliasing -I/usr/include/brutus-keyring-1.0 -DORBIT2=1 -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/orbit-2.0 -I/usr/include/libIDL-2.0      -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables -Werror -Werror-implicit-function-declaration -Wundef -Wbad-function-cast -Wcast-align -Wmissing-declarations -std=gnu89 -D_REENTRANT -I/usr/include/ImageMagick -I/usr/include/evolution-data-server-2.26 -MT camel-brutus-transport.lo -MD -MP -MF .deps/camel-brutus-transport.Tpo -c -o camel-brutus-transport.lo camel-brutus-transport.c
cc1: warnings being treated as errors
camel-brutus-store.c: In function 'delayed_free_thread_func':
camel-brutus-store.c:176: error: no return statement in function returning non-void
make[2]: *** [camel-brutus-store.lo] Error 1
make[2]: *** Waiting for unfinished jobs....


full log and task:

http://koji.fedoraproject.org/koji/getfile?taskID=1222979&name=build.log
http://koji.fedoraproject.org/koji/taskinfo?taskID=1222973

Hopefully upstream (Cc'ed on the bug), will soon be able to provide a fix/patch.
Comment 2 Alex Lancaster 2009-03-09 05:52:58 EDT
Thanks, but that has the same version number: 1.2.34 as the version currently in rawhide.  Whenever the tarball changes, the version number *must* be changed, otherwise there's no way for the package manager to see it as "newer".    I don't want to use the release field (which is strictly for build fixes, patches etc.).

I think we've been through this before... ;)  (vis-a-vi our conversations on using a single cross-distro tarball).
Comment 3 Jules Colding 2009-03-09 06:17:12 EDT
(In reply to comment #2)
> Thanks, but that has the same version number: 1.2.34 as the version currently
> in rawhide.  Whenever the tarball changes, the version number *must* be
> changed, otherwise there's no way for the package manager to see it as "newer".
>    I don't want to use the release field (which is strictly for build fixes,
> patches etc.).
> 
> I think we've been through this before... ;)  (vis-a-vi our conversations on
> using a single cross-distro tarball).  

Indeed...

Please use this one instead:


http://www.42tools.com/sites/default/files/downloads/dist/evolution-brutus/SOURCES/evolution-brutus-1.2.35.tar.gz
Comment 4 Alex Lancaster 2009-03-09 06:43:49 EDT
Builds now:, thanks: http://koji.fedoraproject.org/koji/taskinfo?taskID=1231137

Closing bug.

Note You need to log in before you can comment on or make changes to this bug.